////////////////////////////////////////////////////////////////////////////
// CTaEditFileSelDlg クラスのインタフェース宣言
//
////////////////////////////////////////////////////////////////////////////

#if !defined( TAEDITFILESELDLG_H_INCLUDED_ )
#define TAEDITFILESELDLG_H_INCLUDED_

#include "output/gui.h"

#include "TaEdit_std.h"
#include "ModalDlg.h"
#include "CompoundStr.h"

class CTaEditFileSelDlg :
	public CFileSelDlg
{
public:
	CTaEditFileSelDlg();
	~CTaEditFileSelDlg();

	void OnClose( Widget argWgt, XtPointer user_data );
	void OnCancel( Widget argWgt, XtPointer user_data );
	void OnOK( Widget argWgt, XtPointer user_data );
	void OnShow( Widget argWgt, XtPointer user_data );

	// ダイアログのタイトルを設定
	void SetDlgTitle( const CCompoundStr &rStr ) const;

	// ダイアログを表示
	bool ShowDlg( string *pSelectedFile );

protected:
	// フルパスかもしれないファイル名から、ファイル名のみを取り出す。
	const char* FullPathToFileName( const char *pFileName ) const;

	bool IsSelected;	// 処理に成功したか否か
	string SelectedFile;	// 選択されたファイル名

	CModalDlg m_ModalDlg;	// モーダルダイアログ管理用
};

#endif // TAEDITFILESELDLG_H_INCLUDED_

